import { PlusOutlined } from "@ant-design/icons";
import {
  ModalForm,
  ProForm,
  ProFormDateRangePicker,
  ProFormSelect,
  ProFormText,
} from "@ant-design/pro-components";
import { Button, Form, message } from "antd";
import { getPostsFilesList, savePostsFiles } from "@/services/posts";
import UploadFile from "@/components/UploadFile";

export default ({onsuccess=()=>{}}) => {
  const [form] = Form.useForm();

  const onFinish = async (values) => {
    console.log(values);
    // await waitTime(2000);

    await savePostsFiles({...values, fileType: 'pure'});
    onsuccess()
    return true;
  };

  return (
    <ModalForm
      title="新增文件"
      trigger={<Button type="primary">新增</Button>}
      form={form}
      layout={"horizontal"}
      labelCol={{ span: 8 }}
      wrapperCol={{ span: 12 }}
      modalProps={{
        destroyOnClose: true,
        onCancel: () => console.log("run"),
      }}
      submitTimeout={2000}
      onFinish={onFinish}
    >
      <ProFormText
        width="md"
        name="fileName"
        label="文件名称"
        rules={[{ required: true, message: "请输入文件名称" }]}
        placeholder="请输入名称"
      />
      <ProForm.Item
        name="fileAddr"
        label="文件"
        rules={[{ required: true, message: "请上传文件" }]}
      >
        <UploadFile preview={true}></UploadFile>
      </ProForm.Item>
    </ModalForm>
  );
};
