import { PlusOutlined } from "@ant-design/icons";
import {
  ModalForm,
  ProForm,
  ProFormDateRangePicker,
  ProFormSelect,
  ProFormText,
} from "@ant-design/pro-components";
import { Button, Form, message } from "antd";
// import { getPostsFilesList, savePostsFiles } from "@/services/posts";
import {
  getEvaluateList,
  saveEvaluate
} from "@/services/evaluate";
import EvaluateItem from "@/components/evaluateItem";

export default ({ taskId, onsuccess = () => {} }) => {
  const [form] = Form.useForm();

  const onFinish = async (values) => {
    console.log(values);
    // await waitTime(2000);

    await saveEvaluate(values);
    onsuccess();
    return true;
  };

  const itemList = [
    {
      name: "item1",
      label: "服务质量",
    },
    {
      name: "item2",
      label: "供应住宿",
    },
    {
      name: "item3",
      label: "供应餐饮",
    },
    {
      name: "item4",
      label: "洗浴评价",
    },
    {
      name: "item5",
      label: "娱乐评价",
    },
    {
      name: "item6",
      label: "军供文化",
    },
  ];
  
  return (
    <ModalForm
      title="评价"
      trigger={<Button type="primary">新增</Button>}
      form={form}
      // open={true}
      layout={"horizontal"}
      labelCol={{ span: 8 }}
      wrapperCol={{ span: 12 }}
      modalProps={{
        destroyOnClose: true,
        onCancel: () => console.log("run"),
      }}
      initialValues={{ taskId: taskId }}
      submitTimeout={2000}
      onFinish={onFinish}
    >
      <ProFormText
        width="md"
        name="taskId"
        label="任务ID"
        readonly
        hidden={true}
      />
      {itemList?.map((x) => {
       return <ProForm.Item
          key={x.name}
          name={x.name}
          label={x.label}
          rules={[{ required: true, message: "请选择评价" }]}
        >
          <EvaluateItem></EvaluateItem>
        </ProForm.Item>;
      })}
    </ModalForm>
  );
};
