import React from 'react';
import { Row, Col } from 'antd';
import Sumary from './components/Sumary';
import Task from './components/Task';
import DeviceType from './components/DeviceType';
import StoreType from './components/StoreType';
import User from './components/User';
import StoreCost from './components/StoreCost';
import Styles from './style.module.less';

const mtp = {
  marginTop: '24px',
}

export default (props) => {
  const gutter = 24;

  return (
    <div className={Styles['chart-page']}>
      <Sumary gutter={gutter} />
      <Row gutter={gutter} style={mtp}>
        <Col span={18}>
          <Task />
        </Col>
        <Col span={6}>
          <DeviceType />
        </Col>
      </Row>
      <Row gutter={gutter} style={mtp}>
        <Col span={12}>
          <StoreType />
        </Col>
        <Col span={12}>
          <User />
        </Col>
      </Row>
      <Row gutter={gutter} style={mtp}>
        <Col span={24}>
          <StoreCost />
        </Col>
      </Row>
    </div>
  )
}
